/*****************************************************************************
* File Name: main.c
*
* Version: 2.0
*
* Description:
* Main.c for project A_InterruptExample for application note AN54460. Initializes
* timer and ISR Components.
*
* Related Document:
* Application note AN54460, PSoC 3/5LP Interrupts
*
* Hardware Dependency:
* It was designed for PSoC 3, or PSoC 5LP. Designed for CY8CKIT-001 but 
* this version has been adapted to work with the CY8CKIT-0059 kit.
*
* Code Tested With:
* 1. PSoC Creator 3.0 SP1
* 2. PSoC Creator 4.1 SP1
*
******************************************************************************
* Copyright (2009 - 2013), Cypress Semiconductor Corporation.
******************************************************************************/

#include <project.h>

int main() {
    /* Initialize the interrupt and timer */
    isr_1_Start();
    Timer_1_Start();

    CyGlobalIntEnable; /* Enable global interrupts. */
    for(;;)
    {
        /* Do nothing in the main loop; code to do something is in the ISRs */
    }
}

/* [] END OF FILE */
