/*****************************************************************************
* File Name: InterruptRoutines.h
*
* Version: 2.0
*
* Description:
* For project B_PICU for application note AN54460. Defines user ISRs (as
* opposed to auto-generated ISRs). Defines the switch debounce time.
*
* Related Document:
* Application note AN54460, PSoC 3/5LP Interrupts
*
* Hardware Dependency:
* Designed for PSoC 3, or PSoC 5LP. Designed for CY8CKIT-001 but can
* be easily adapted to work with any kit.
*
* Code Tested With:
* 1. PSoC Creator 3.0 SP1
*
******************************************************************************
* Copyright (2009 - 2013), Cypress Semiconductor Corporation.
******************************************************************************
* This software is owned by Cypress Semiconductor Corporation (Cypress) and is
* protected by and subject to worldwide patent protection (United States and
* foreign), United States copyright laws and international treaty provisions.
* Cypress hereby grants to licensee a personal, non-exclusive, non-transferable
* license to copy, use, modify, create derivative works of, and compile the
* Cypress Source Code and derivative works for the sole purpose of creating
* custom software in support of licensee product to be used only in conjunction
* with a Cypress integrated circuit as specified in the applicable agreement.
* Any reproduction, modification, translation, compilation, or representation of
* this software except as specified above is prohibited without the express
* written permission of Cypress.
*
* Disclaimer: CYPRESS MAKES NO WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, WITH
* REGARD TO THIS MATERIAL, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
* WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
* Cypress reserves the right to make changes without further notice to the
* materials described herein. Cypress does not assume any liability arising out
* of the application or use of any product or circuit described herein. Cypress
* does not authorize its products for use as critical components in life-support
* systems where a malfunction or failure may reasonably be expected to result in
* significant injury to the user. The inclusion of Cypress' product in a life-
* support systems application implies that the manufacturer assumes all risk of
* such use and in doing so indemnifies Cypress against all charges. Use may be
* limited by and subject to the applicable Cypress software license agreement.
*****************************************************************************/

#ifndef INTERRUPT_ROUTINES_HEADER
#define INTERRUPT_ROUTINES_HEADER

/* including project.h gives access to all component APIs */
/* and other generated source files */
#include <project.h>

/* defines the debounce time in milliseconds, max value is 255 */
#define  DEBOUNCE_TIME  50

/* ISR function prototype declarations */
CY_ISR_PROTO(Tick_ISR);
CY_ISR_PROTO(PICU_ISR);

#endif

/*[] END OF FILE */
