/*****************************************************************************
* File Name: main.c
*
* Version: 2.0
*
* Description:
* Main.c for project B_PICU for application note AN54460. Initializes ISR
* Components, pointing them to user ISRs (as opposed to auto-generated ISRs).
*
* Related Document:
* Application note AN54460, PSoC 3/5LP Interrupts
*
* Hardware Dependency:
* Designed for PSoC 3, or PSoC 5LP. 
* Present version was adapted for the CY8CKIT-059 board.
*
* Code Tested With:
* 1. PSoC Creator 3.0 SP1
* 2. PSoC Creator 4.1 SP1
*
******************************************************************************
* Copyright (2009 - 2013), Cypress Semiconductor Corporation.
******************************************************************************/

#include <project.h>

/* Header file containing the custom ISR prototypes */
#include "InterruptRoutines.h"

int main() {
    /* Initialize the two custom defined ISRs */
    isr_1_StartEx(PICU_ISR);
    isr_2_StartEx(Tick_ISR);

    CyGlobalIntEnable; /* Enable global interrupts. */

    for(;;)
    {
        /* Do nothing in the main loop; code to do something
		is in the ISRs */
    }
}

/* [] END OF FILE */
